
// File: index.xml

// File: classBin1D.xml
%feature("docstring") Bin1D "";

%feature("docstring")  Bin1D::Bin1D "Bin1D::Bin1D()=default
";

%feature("docstring")  Bin1D::Bin1D "Bin1D::Bin1D(double lower, double upper)
";

%feature("docstring")  Bin1D::center "double Bin1D::center() const
";

%feature("docstring")  Bin1D::binSize "double Bin1D::binSize() const
";


// File: structIntegratorMCMiser_1_1CallBackHolder.xml
%feature("docstring") IntegratorMCMiser::CallBackHolder "

structure holding the object and possible extra parameters

C++ includes: IntegratorMCMiser.h
";


// File: classComplexIntegrator.xml
%feature("docstring") ComplexIntegrator "

To integrate a complex function of a real variable.

C++ includes: IntegratorGK.h
";

%feature("docstring")  ComplexIntegrator::integrate "complex_t ComplexIntegrator::integrate(const std::function< complex_t(double)> &f, double lmin, double lmax)
";


// File: classConstKBinAxis.xml
%feature("docstring") ConstKBinAxis "

Axis with fixed bin size in sin(angle) space.

C++ includes: ConstKBinAxis.h
";

%feature("docstring")  ConstKBinAxis::ConstKBinAxis "ConstKBinAxis::ConstKBinAxis(const std::string &name, size_t nbins, double start, double end)

ConstKBinAxis constructor.

Parameters:
-----------

name: 
Axis name

nbins: 
number of bins

start: 
low edge of first bin

end: 
upper edge of last bin 
";

%feature("docstring")  ConstKBinAxis::~ConstKBinAxis "ConstKBinAxis::~ConstKBinAxis() override=default
";

%feature("docstring")  ConstKBinAxis::clone "ConstKBinAxis * ConstKBinAxis::clone() const override
";

%feature("docstring")  ConstKBinAxis::clip "void ConstKBinAxis::clip(double lower, double upper) override

Clips this axis to the given values. 
";


// File: classCustomBinAxis.xml
%feature("docstring") CustomBinAxis "

Axis with fixed bin size in sin(angle) space used for numerical comparison with IsGisaxs. The main feature of the axis is that it produces zero bin sizes.

C++ includes: CustomBinAxis.h
";

%feature("docstring")  CustomBinAxis::CustomBinAxis "CustomBinAxis::CustomBinAxis(const std::string &name, size_t nbins, double start, double end)

CustomBinAxis constructor.

Parameters:
-----------

name: 
Axis name

nbins: 
number of bins

start: 
center of first bin (IsGisaxs convention)

end: 
center of last bin (IsGisaxs convention) 
";

%feature("docstring")  CustomBinAxis::~CustomBinAxis "CustomBinAxis::~CustomBinAxis() override=default
";

%feature("docstring")  CustomBinAxis::clone "CustomBinAxis * CustomBinAxis::clone() const override
";

%feature("docstring")  CustomBinAxis::bin "Bin1D CustomBinAxis::bin(size_t index) const override

retrieve a 1d bin for the given index 
";

%feature("docstring")  CustomBinAxis::binCenters "std::vector< double > CustomBinAxis::binCenters() const override
";

%feature("docstring")  CustomBinAxis::clip "void CustomBinAxis::clip(double lower, double upper) override

Clips this axis to the given values. 
";


// File: classDelayedProgressCounter.xml
%feature("docstring") DelayedProgressCounter "

Counter for reporting progress (with delay interval) in a threaded computation.

C++ includes: DelayedProgressCounter.h
";

%feature("docstring")  DelayedProgressCounter::DelayedProgressCounter "DelayedProgressCounter::DelayedProgressCounter(ProgressHandler *p_progress, size_t interval)
";

%feature("docstring")  DelayedProgressCounter::~DelayedProgressCounter "DelayedProgressCounter::~DelayedProgressCounter()=default
";

%feature("docstring")  DelayedProgressCounter::stepProgress "void DelayedProgressCounter::stepProgress()

Increments inner counter; at regular intervals updates progress handler. 
";


// File: classDepthProbeElement.xml
%feature("docstring") DepthProbeElement "";

%feature("docstring")  DepthProbeElement::DepthProbeElement "DepthProbeElement::DepthProbeElement(double wavelength, double alpha_i, const IAxis *z_positions)
";

%feature("docstring")  DepthProbeElement::DepthProbeElement "DepthProbeElement::DepthProbeElement(const DepthProbeElement &other)=delete
";

%feature("docstring")  DepthProbeElement::DepthProbeElement "DepthProbeElement::DepthProbeElement(DepthProbeElement &&other)
";

%feature("docstring")  DepthProbeElement::~DepthProbeElement "DepthProbeElement::~DepthProbeElement()
";

%feature("docstring")  DepthProbeElement::wavelength "double DepthProbeElement::wavelength() const
";

%feature("docstring")  DepthProbeElement::alphaI "double DepthProbeElement::alphaI() const
";

%feature("docstring")  DepthProbeElement::getKi "R3 DepthProbeElement::getKi() const
";

%feature("docstring")  DepthProbeElement::setIntensities "void DepthProbeElement::setIntensities(T &&intensities)
";

%feature("docstring")  DepthProbeElement::getIntensities "const std::valarray<double>& DepthProbeElement::getIntensities() const
";

%feature("docstring")  DepthProbeElement::setZPositions "void DepthProbeElement::setZPositions(const IAxis *z_positions)
";

%feature("docstring")  DepthProbeElement::getZPositions "const IAxis* DepthProbeElement::getZPositions() const
";

%feature("docstring")  DepthProbeElement::size "size_t DepthProbeElement::size() const
";

%feature("docstring")  DepthProbeElement::setCalculationFlag "void DepthProbeElement::setCalculationFlag(bool calculation_flag)

Set calculation flag (if it's false, zero intensity is assigned to the element) 
";

%feature("docstring")  DepthProbeElement::isCalculated "bool DepthProbeElement::isCalculated() const
";


// File: classDirection.xml
%feature("docstring") Direction "

A direction in three-dimensional space.

C++ includes: Direction.h
";

%feature("docstring")  Direction::Direction "Direction::Direction(double alpha, double phi)
";

%feature("docstring")  Direction::Direction "Direction::Direction()
";

%feature("docstring")  Direction::alpha "double Direction::alpha() const
";

%feature("docstring")  Direction::phi "double Direction::phi() const
";

%feature("docstring")  Direction::vector "R3 Direction::vector() const

Returns Cartesian 3D vector. 
";

%feature("docstring")  Direction::zReflected "Direction Direction::zReflected() const
";


// File: classFixedBinAxis.xml
%feature("docstring") FixedBinAxis "

Axis with fixed bin size.

C++ includes: FixedBinAxis.h
";

%feature("docstring")  FixedBinAxis::FixedBinAxis "FixedBinAxis::FixedBinAxis(const std::string &name, size_t nbins, double start, double end)

FixedBinAxis constructor.

Parameters:
-----------

name: 
Axis name

nbins: 
number of bins

start: 
low edge of first bin

end: 
upper edge of last bin 
";

%feature("docstring")  FixedBinAxis::~FixedBinAxis "FixedBinAxis::~FixedBinAxis() override=default
";

%feature("docstring")  FixedBinAxis::clone "FixedBinAxis * FixedBinAxis::clone() const override
";

%feature("docstring")  FixedBinAxis::size "size_t FixedBinAxis::size() const override

Returns the number of bins. 
";

%feature("docstring")  FixedBinAxis::bin "Bin1D FixedBinAxis::bin(size_t index) const override

retrieve a 1d bin for the given index 
";

%feature("docstring")  FixedBinAxis::min "double FixedBinAxis::min() const override

Returns value of first point of axis. 
";

%feature("docstring")  FixedBinAxis::max "double FixedBinAxis::max() const override

Returns value of last point of axis. 
";

%feature("docstring")  FixedBinAxis::binCenter "double FixedBinAxis::binCenter(size_t index) const override
";

%feature("docstring")  FixedBinAxis::findClosestIndex "size_t FixedBinAxis::findClosestIndex(double value) const override

find bin index which is best match for given value 
";

%feature("docstring")  FixedBinAxis::binCenters "std::vector< double > FixedBinAxis::binCenters() const override
";

%feature("docstring")  FixedBinAxis::binBoundaries "std::vector< double > FixedBinAxis::binBoundaries() const override
";

%feature("docstring")  FixedBinAxis::clip "void FixedBinAxis::clip(double lower, double upper) override

Clips this axis to the given values. 
";


// File: classFourierTransform.xml
%feature("docstring") FourierTransform "

Fourier transform of vectors (in 1D or 2D) using Fast Fourier Transform (fftw package).

Usage: std::vector<double> signal, result;  FourierTransform ft; ft.fft(signal, result)

Given code rely on code from Jeremy Fix page, http://jeremy.fix.free.fr/spip.php?article15, see also \"Efficient convolution using the Fast Fourier Transform, Application in C++\" by Jeremy Fix, May 30, 2011

C++ includes: FourierTransform.h
";

%feature("docstring")  FourierTransform::FourierTransform "FourierTransform::FourierTransform()
";

%feature("docstring")  FourierTransform::fft "void FourierTransform::fft(const double1d_t &source, double1d_t &result)

FT in 1D. 
";

%feature("docstring")  FourierTransform::fftshift "void FourierTransform::fftshift(double1d_t &result) const

Shift low frequency to the center of 1D FT array. 
";

%feature("docstring")  FourierTransform::fft "void FourierTransform::fft(const double2d_t &source, double2d_t &result)

FT in 2D. 
";

%feature("docstring")  FourierTransform::fftshift "void FourierTransform::fftshift(double2d_t &result) const

Shift low frequency to the center of 2D FT array. 
";

%feature("docstring")  FourierTransform::init "void FourierTransform::init(int h_src, int w_src)

prepare arrays for 2D Fourier Transformation (FT) of the given vector 
";


// File: classFrame.xml
%feature("docstring") Frame "

Holds one or two axes.

C++ includes: Frame.h
";

%feature("docstring")  Frame::Frame "Frame::Frame(const std::vector< IAxis * > &axes)

Constructor that takes ownership of supplied axes. 
";

%feature("docstring")  Frame::~Frame "virtual Frame::~Frame()
";

%feature("docstring")  Frame::rank "size_t Frame::rank() const

Returns number of dimensions. 
";

%feature("docstring")  Frame::axis "const IAxis & Frame::axis(size_t serial_number) const

Returns axis with given serial number. 
";

%feature("docstring")  Frame::projectedCoord "double Frame::projectedCoord(size_t i_flat, size_t k_axis) const

Returns the value of selected axis for given i_flat.

Parameters:
-----------

i_flat: 
The global index of this data structure.

k_axis: 
Serial number of selected axis.

corresponding bin center of selected axis 
";

%feature("docstring")  Frame::projectedBin "Bin1D Frame::projectedBin(size_t i_flat, size_t k_axis) const

Returns bin of selected axis for given i_flat.

Parameters:
-----------

i_flat: 
The global index of this data structure.

k_axis: 
Serial number of selected axis.

Corresponding  Bin1D object 
";

%feature("docstring")  Frame::allIndices "std::vector< int > Frame::allIndices(size_t i_flat) const

Returns vector of axes indices for given global index

Parameters:
-----------

i_flat: 
The global index of this data structure.

Vector of bin indices for all axes defined 
";

%feature("docstring")  Frame::projectedBinIndex "size_t Frame::projectedBinIndex(size_t i_flat, size_t k_axis) const

Returns axis bin index for given global index

Parameters:
-----------

i_flat: 
The global index of this data structure.

k_axis: 
Serial number of selected axis.

Corresponding bin index for selected axis 
";

%feature("docstring")  Frame::toGlobalIndex "size_t Frame::toGlobalIndex(const std::vector< unsigned > &axes_indices) const

Returns global index for specified indices of axes

Parameters:
-----------

axes_indices: 
Vector of axes indices for all specified axes in this dataset

Corresponding global index 
";

%feature("docstring")  Frame::findGlobalIndex "size_t Frame::findGlobalIndex(const std::vector< double > &coordinates) const

Returns global index for specified axes values

Parameters:
-----------

coordinates: 
Vector of axes coordinates for all specified axes in this dataset

Closest global index 
";

%feature("docstring")  Frame::cloned_axes "std::vector<IAxis*> Frame::cloned_axes() const
";


// File: classIAxis.xml
%feature("docstring") IAxis "

Abstract base class for one-dimensional axes.

C++ includes: IAxis.h
";

%feature("docstring")  IAxis::IAxis "IAxis::IAxis(std::string name)
";

%feature("docstring")  IAxis::IAxis "IAxis::IAxis(const IAxis &)=delete
";

%feature("docstring")  IAxis::~IAxis "IAxis::~IAxis()
";

%feature("docstring")  IAxis::clone "virtual IAxis* IAxis::clone() const =0
";

%feature("docstring")  IAxis::setAxisName "void IAxis::setAxisName(std::string name)

Sets the axis label. 
";

%feature("docstring")  IAxis::size "virtual size_t IAxis::size() const =0

Returns the number of bins. 
";

%feature("docstring")  IAxis::min "virtual double IAxis::min() const =0

Returns value of first point of axis. 
";

%feature("docstring")  IAxis::max "virtual double IAxis::max() const =0

Returns value of last point of axis. 
";

%feature("docstring")  IAxis::bounds "std::pair< double, double > IAxis::bounds() const

Returns lower and upper bound in a pair. first is lower, second is upper. 
";

%feature("docstring")  IAxis::span "double IAxis::span() const

Returns distance from first to last point. 
";

%feature("docstring")  IAxis::center "double IAxis::center() const

Returns midpoint of axis. 
";

%feature("docstring")  IAxis::axisName "std::string IAxis::axisName() const

Returns the label of the axis. 
";

%feature("docstring")  IAxis::binCenters "std::vector< double > IAxis::binCenters() const
";

%feature("docstring")  IAxis::binBoundaries "std::vector< double > IAxis::binBoundaries() const
";

%feature("docstring")  IAxis::bin "virtual Bin1D IAxis::bin(size_t index) const =0

retrieve a 1d bin for the given index 
";

%feature("docstring")  IAxis::binCenter "virtual double IAxis::binCenter(size_t index) const =0
";

%feature("docstring")  IAxis::findClosestIndex "virtual size_t IAxis::findClosestIndex(double value) const =0

find bin index which is best match for given value 
";

%feature("docstring")  IAxis::contains "bool IAxis::contains(double value) const

Returns true if axis contains given point. 
";

%feature("docstring")  IAxis::clip "void IAxis::clip(double lower, double upper)

Clips this axis to the given values. 
";

%feature("docstring")  IAxis::clip "void IAxis::clip(std::pair< double, double > bounds)

Convenience overload to clip this axis to the given values. bounds.first is lower, bounds.second is upper value. 
";


// File: classICloneable.xml
%feature("docstring") ICloneable "

Interface for polymorphic classes that should not be copied, except by explicit cloning.

Child classes of  ICloneable must provide clone().

C++ includes: ICloneable.h
";

%feature("docstring")  ICloneable::ICloneable "ICloneable::ICloneable()=default
";

%feature("docstring")  ICloneable::~ICloneable "virtual ICloneable::~ICloneable()=default
";

%feature("docstring")  ICloneable::ICloneable "ICloneable::ICloneable(const ICloneable &)=delete
";

%feature("docstring")  ICloneable::ICloneable "ICloneable::ICloneable(ICloneable &&)=default
";

%feature("docstring")  ICloneable::clone "virtual ICloneable* ICloneable::clone() const =0
";

%feature("docstring")  ICloneable::transferToCPP "virtual void ICloneable::transferToCPP()

Used for Python overriding of clone (see swig/tweaks.py) 
";


// File: classIElement.xml
%feature("docstring") IElement "";

%feature("docstring")  IElement::IElement "IElement::IElement(PolMatrices polMatrices)
";

%feature("docstring")  IElement::polMatrices "const PolMatrices& IElement::polMatrices() const

Returns polarizer and analyzer matrices. 
";


// File: classIFactory.xml
%feature("docstring") IFactory "

Base class for all factories.

C++ includes: IFactory.h
";

%feature("docstring")  IFactory::createItem "AbstractProduct* IFactory< Key, AbstractProduct >::createItem(const Key &item_key) const

Creates object by calling creation function corresponded to given identifier. 
";

%feature("docstring")  IFactory::createItemPtr "std::unique_ptr<AbstractProduct> IFactory< Key, AbstractProduct >::createItemPtr(const Key &item_key) const
";

%feature("docstring")  IFactory::registerItem "bool IFactory< Key, AbstractProduct >::registerItem(const Key &item_key, CreateItemCallback CreateFn)

Registers object's creation function. 
";

%feature("docstring")  IFactory::contains "bool IFactory< Key, AbstractProduct >::contains(const Key &item_key) const
";

%feature("docstring")  IFactory::size "size_t IFactory< Key, AbstractProduct >::size() const

Returns number of registered objects. 
";


// File: classIntegratorMCMiser.xml
%feature("docstring") IntegratorMCMiser "

Template class to use Monte Carlo MISER integration of class member functions.

Wraps an integrator from GNU Scientific Library. Since this class holds a persistent workspace, we need at least one instance per thread. Standard usage for integration inside a class T:
Create a handle to an integrator: 'auto integrator = make_integrator_miser(this, mem_function, dimension)'

Call: 'integrator.integrate(lmin, lmax, data, nbr_points)'

C++ includes: IntegratorMCMiser.h
";

%feature("docstring")  IntegratorMCMiser::IntegratorMCMiser "IntegratorMCMiser< T >::IntegratorMCMiser(const T *p_object, miser_integrand< T > p_member_function, size_t dim)

to integrate p_member_function, which must belong to p_object 
";

%feature("docstring")  IntegratorMCMiser::~IntegratorMCMiser "IntegratorMCMiser< T >::~IntegratorMCMiser()
";

%feature("docstring")  IntegratorMCMiser::integrate "double IntegratorMCMiser< T >::integrate(double *min_array, double *max_array, const void *params, size_t nbr_points) const

perform the actual integration over the ranges [min_array, max_array] 
";


// File: classIPixel.xml
%feature("docstring") IPixel "

Interface for a function that maps [0,1]x[0,1] to the kvectors in a pixel. Abstract base class for  SphericalPixel and  RectangularPixel.

C++ includes: IPixel.h
";

%feature("docstring")  IPixel::~IPixel "virtual IPixel::~IPixel()=default
";

%feature("docstring")  IPixel::clone "virtual IPixel* IPixel::clone() const =0
";

%feature("docstring")  IPixel::createZeroSizePixel "virtual IPixel* IPixel::createZeroSizePixel(double x, double y) const =0
";

%feature("docstring")  IPixel::getK "virtual R3 IPixel::getK(double x, double y, double wavelength) const =0
";

%feature("docstring")  IPixel::integrationFactor "virtual double IPixel::integrationFactor(double x, double y) const =0
";

%feature("docstring")  IPixel::solidAngle "virtual double IPixel::solidAngle() const =0
";


// File: classOwningVector.xml
%feature("docstring") OwningVector "

The objects pointed to must posses a clone() function.

A vector of unique pointers to objects that are cloneable.

Equips vector<unique_ptr<T>> with copy constructor. For use with polymorphic objects, or in pimpl idiom.

C++ includes: OwningVector.h
";

%feature("docstring")  OwningVector::OwningVector "OwningVector< T >::OwningVector()=default
";

%feature("docstring")  OwningVector::OwningVector "OwningVector< T >::OwningVector(const std::vector< T * > &v)

Constructor that takes over ownership of elements in given vector. 
";

%feature("docstring")  OwningVector::OwningVector "OwningVector< T >::OwningVector(const OwningVector &other)

Constructor that clones elements in given vector. 
";

%feature("docstring")  OwningVector::~OwningVector "OwningVector< T >::~OwningVector()
";

%feature("docstring")  OwningVector::emplace_back "void OwningVector< T >::emplace_back(T *e)
";

%feature("docstring")  OwningVector::clear "void OwningVector< T >::clear()
";

%feature("docstring")  OwningVector::size "size_t OwningVector< T >::size() const
";

%feature("docstring")  OwningVector::empty "bool OwningVector< T >::empty() const
";

%feature("docstring")  OwningVector::at "T* const& OwningVector< T >::at(int i) const
";

%feature("docstring")  OwningVector::back "const T* OwningVector< T >::back() const
";

%feature("docstring")  OwningVector::const_vector "std::vector<const T*> OwningVector< T >::const_vector() const
";

%feature("docstring")  OwningVector::cloned_vector "std::vector<T*> OwningVector< T >::cloned_vector() const
";

%feature("docstring")  OwningVector::begin "ConstIterator OwningVector< T >::begin() const
";

%feature("docstring")  OwningVector::end "ConstIterator OwningVector< T >::end() const
";

%feature("docstring")  OwningVector::begin "Iterator OwningVector< T >::begin()
";

%feature("docstring")  OwningVector::end "Iterator OwningVector< T >::end()
";


// File: classPointwiseAxis.xml
%feature("docstring") PointwiseAxis "

Axis containing arbitrary (non-equidistant) coordinate values. Lower boundary of the first bin and upper boundary of the last bin correspond to first and last passed coordinates. Other bin boundaries are computed as arithmetical mean of two adjacent coordinates. One should be aware, that bin centers reported by  PointwiseAxis::binCenter do not coincide with the values produced by Bin1D::center. On-axis values are bounded by minimum/maximum values passed to the constructor.

C++ includes: PointwiseAxis.h
";

%feature("docstring")  PointwiseAxis::PointwiseAxis "PointwiseAxis::PointwiseAxis(String &&name, Vector &&coordinate_values)
";

%feature("docstring")  PointwiseAxis::clone "PointwiseAxis * PointwiseAxis::clone() const override

clone function 
";

%feature("docstring")  PointwiseAxis::~PointwiseAxis "PointwiseAxis::~PointwiseAxis() override
";

%feature("docstring")  PointwiseAxis::size "size_t PointwiseAxis::size() const override

retrieve the number of bins 
";

%feature("docstring")  PointwiseAxis::bin "Bin1D PointwiseAxis::bin(size_t index) const override

retrieve a 1d bin for the given index 
";

%feature("docstring")  PointwiseAxis::min "double PointwiseAxis::min() const override

Returns value of first on-axis point. 
";

%feature("docstring")  PointwiseAxis::max "double PointwiseAxis::max() const override

Returns value of last on-axis point. 
";

%feature("docstring")  PointwiseAxis::binCenter "double PointwiseAxis::binCenter(size_t index) const override

Returns the coordinate corresponding to the given index. For this type of axis (\"pointwise\") this equals returning an explicitly defined coordinate. 
";

%feature("docstring")  PointwiseAxis::findClosestIndex "size_t PointwiseAxis::findClosestIndex(double value) const override

find index of the coordinate closest to the given value 
";

%feature("docstring")  PointwiseAxis::binCenters "std::vector<double> PointwiseAxis::binCenters() const override
";

%feature("docstring")  PointwiseAxis::binBoundaries "std::vector< double > PointwiseAxis::binBoundaries() const override
";

%feature("docstring")  PointwiseAxis::clip "void PointwiseAxis::clip(double lower, double upper) override

Clips this axis to the given values. 
";


// File: classPolMatrices.xml
%feature("docstring") PolMatrices "

Convenience class for handling polarization density matrix and polarization analyzer operator

C++ includes: PolMatrices.h
";

%feature("docstring")  PolMatrices::PolMatrices "PolMatrices::PolMatrices()
";

%feature("docstring")  PolMatrices::PolMatrices "PolMatrices::PolMatrices(SpinMatrix polarization, SpinMatrix analyzer)
";

%feature("docstring")  PolMatrices::setPolarizerMatrix "void PolMatrices::setPolarizerMatrix(const SpinMatrix &polarization)

Sets the polarization density matrix (in spin basis along z-axis) 
";

%feature("docstring")  PolMatrices::polarizerMatrix "const SpinMatrix& PolMatrices::polarizerMatrix() const

Gets the polarization density matrix (in spin basis along z-axis) 
";

%feature("docstring")  PolMatrices::setAnalyzerMatrix "void PolMatrices::setAnalyzerMatrix(const SpinMatrix &analyzer)

Sets the polarization analyzer operator (in spin basis along z-axis) 
";

%feature("docstring")  PolMatrices::analyzerMatrix "const SpinMatrix& PolMatrices::analyzerMatrix() const

Gets the polarization analyzer operator (in spin basis along z-axis) 
";


// File: classProgressHandler.xml
%feature("docstring") ProgressHandler "

Maintains information about progress of a computation.

Owner is the computation, which periodically calls the thread-safe function incrementDone(..). An application (GUI or script) may subscribe(..) to be informed about progress. It is then periodically called back by inform(..). The return value of inform(..) can be used to request termination of the computation.

C++ includes: ProgressHandler.h
";

%feature("docstring")  ProgressHandler::ProgressHandler "ProgressHandler::ProgressHandler()
";

%feature("docstring")  ProgressHandler::ProgressHandler "ProgressHandler::ProgressHandler(const ProgressHandler &other)
";

%feature("docstring")  ProgressHandler::subscribe "void ProgressHandler::subscribe(ProgressHandler::Callback_t inform)
";

%feature("docstring")  ProgressHandler::reset "void ProgressHandler::reset()
";

%feature("docstring")  ProgressHandler::setExpectedNTicks "void ProgressHandler::setExpectedNTicks(size_t n)
";

%feature("docstring")  ProgressHandler::incrementDone "void ProgressHandler::incrementDone(size_t ticks_done)

Increments number of completed computation steps (ticks). Performs callback (method m_inform) to inform the subscriber about the state of the computation and to obtain as return value a flag that indicates whether to continue the computation. 
";

%feature("docstring")  ProgressHandler::alive "bool ProgressHandler::alive()
";


// File: classRealIntegrator.xml
%feature("docstring") RealIntegrator "

To integrate a real function of a real variable.

C++ includes: IntegratorGK.h
";

%feature("docstring")  RealIntegrator::RealIntegrator "RealIntegrator::RealIntegrator()
";

%feature("docstring")  RealIntegrator::~RealIntegrator "RealIntegrator::~RealIntegrator()
";

%feature("docstring")  RealIntegrator::integrate "double RealIntegrator::integrate(const std::function< double(double)> &f, double lmin, double lmax)
";


// File: classRectangularPixel.xml
%feature("docstring") RectangularPixel "

A pixel in a RectangularDetector.

C++ includes: RectangularPixel.h
";

%feature("docstring")  RectangularPixel::RectangularPixel "RectangularPixel::RectangularPixel(const R3 &corner_pos, const R3 &width, const R3 &height)
";

%feature("docstring")  RectangularPixel::clone "RectangularPixel * RectangularPixel::clone() const override
";

%feature("docstring")  RectangularPixel::createZeroSizePixel "RectangularPixel * RectangularPixel::createZeroSizePixel(double x, double y) const override
";

%feature("docstring")  RectangularPixel::getK "R3 RectangularPixel::getK(double x, double y, double wavelength) const override
";

%feature("docstring")  RectangularPixel::getPosition "R3 RectangularPixel::getPosition(double x, double y) const
";

%feature("docstring")  RectangularPixel::integrationFactor "double RectangularPixel::integrationFactor(double x, double y) const override
";

%feature("docstring")  RectangularPixel::solidAngle "double RectangularPixel::solidAngle() const override
";

%feature("docstring")  RectangularPixel::createAxis "IAxis * RectangularPixel::createAxis(size_t n) const
";


// File: classRotMatrix.xml
%feature("docstring") RotMatrix "

Rotation matrix in three dimensions. Represents group SO(3). Internal parameterization based on quaternions.

C++ includes: RotMatrix.h
";

%feature("docstring")  RotMatrix::RotMatrix "RotMatrix::RotMatrix()

Constructs unit transformation. 
";

%feature("docstring")  RotMatrix::~RotMatrix "RotMatrix::~RotMatrix()=default

Destructor. 
";

%feature("docstring")  RotMatrix::zxzEulerAngles "std::array< double, 3 > RotMatrix::zxzEulerAngles() const

Calculates the Euler angles corresponding to the rotation. 
";

%feature("docstring")  RotMatrix::Inverse "RotMatrix RotMatrix::Inverse() const

Returns the inverse transformation. 
";

%feature("docstring")  RotMatrix::transformed "template C3 RotMatrix::transformed< C3 >(const T &v) const

Return transformed vector  v. 
";

%feature("docstring")  RotMatrix::counterTransformed "template C3 RotMatrix::counterTransformed< C3 >(const T &v) const

Return transformed vector  v. 
";

%feature("docstring")  RotMatrix::isIdentity "bool RotMatrix::isIdentity() const

Determine if the transformation is trivial (identity) 
";

%feature("docstring")  RotMatrix::isXRotation "bool RotMatrix::isXRotation() const
";

%feature("docstring")  RotMatrix::isYRotation "bool RotMatrix::isYRotation() const
";

%feature("docstring")  RotMatrix::isZRotation "bool RotMatrix::isZRotation() const
";

%feature("docstring")  RotMatrix::angleAroundCoordAxis "std::optional< double > RotMatrix::angleAroundCoordAxis(int iAxis) const
";


// File: classSphericalPixel.xml
%feature("docstring") SphericalPixel "

A pixel in a SphericalDetector.

C++ includes: SphericalPixel.h
";

%feature("docstring")  SphericalPixel::SphericalPixel "SphericalPixel::SphericalPixel(const Bin1D &alpha_bin, const Bin1D &phi_bin)
";

%feature("docstring")  SphericalPixel::clone "SphericalPixel * SphericalPixel::clone() const override
";

%feature("docstring")  SphericalPixel::createZeroSizePixel "SphericalPixel * SphericalPixel::createZeroSizePixel(double x, double y) const override
";

%feature("docstring")  SphericalPixel::getK "R3 SphericalPixel::getK(double x, double y, double wavelength) const override
";

%feature("docstring")  SphericalPixel::integrationFactor "double SphericalPixel::integrationFactor(double x, double y) const override
";

%feature("docstring")  SphericalPixel::solidAngle "double SphericalPixel::solidAngle() const override
";


// File: classSpinMatrix.xml
%feature("docstring") SpinMatrix "";

%feature("docstring")  SpinMatrix::SpinMatrix "SpinMatrix::SpinMatrix(complex_t a_, complex_t b_, complex_t c_, complex_t d_)

Constructs matrix with rows (a_,b_) and (c_,d_). 
";

%feature("docstring")  SpinMatrix::SpinMatrix "SpinMatrix::SpinMatrix()

Contructs the null matrix. 
";

%feature("docstring")  SpinMatrix::col0 "Spinor SpinMatrix::col0() const
";

%feature("docstring")  SpinMatrix::col1 "Spinor SpinMatrix::col1() const
";

%feature("docstring")  SpinMatrix::trace "complex_t SpinMatrix::trace() const
";

%feature("docstring")  SpinMatrix::determinant "complex_t SpinMatrix::determinant() const
";

%feature("docstring")  SpinMatrix::allFinite "bool SpinMatrix::allFinite() const
";

%feature("docstring")  SpinMatrix::adjoint "SpinMatrix SpinMatrix::adjoint() const
";


// File: classSpinor.xml
%feature("docstring") Spinor "";

%feature("docstring")  Spinor::Spinor "Spinor::Spinor(complex_t u_, complex_t v_)
";


// File: structThreadInfo.xml
%feature("docstring") ThreadInfo "

Information to run simulation with dedicated number of threads.

C++ includes: ThreadInfo.h
";

%feature("docstring")  ThreadInfo::ThreadInfo "ThreadInfo::ThreadInfo()
";


// File: classVariableBinAxis.xml
%feature("docstring") VariableBinAxis "

Axis with variable bin size.

C++ includes: VariableBinAxis.h
";

%feature("docstring")  VariableBinAxis::VariableBinAxis "VariableBinAxis::VariableBinAxis(const std::string &name, size_t nbins, const std::vector< double > &bin_boundaries)

VariableBinAxis constructor.

Parameters:
-----------

name: 
Axis name

nbins: 
number of bins

bin_boundaries: 
Array of size nbins+1 containing low-edges for each bin and upper edge of last bin. 
";

%feature("docstring")  VariableBinAxis::~VariableBinAxis "VariableBinAxis::~VariableBinAxis() override=default
";

%feature("docstring")  VariableBinAxis::clone "VariableBinAxis * VariableBinAxis::clone() const override
";

%feature("docstring")  VariableBinAxis::size "size_t VariableBinAxis::size() const override

Returns the number of bins. 
";

%feature("docstring")  VariableBinAxis::bin "Bin1D VariableBinAxis::bin(size_t index) const override

retrieve a 1d bin for the given index 
";

%feature("docstring")  VariableBinAxis::min "double VariableBinAxis::min() const override

Returns value of first point of axis. 
";

%feature("docstring")  VariableBinAxis::max "double VariableBinAxis::max() const override

Returns value of last point of axis. 
";

%feature("docstring")  VariableBinAxis::binCenter "double VariableBinAxis::binCenter(size_t index) const override
";

%feature("docstring")  VariableBinAxis::findClosestIndex "size_t VariableBinAxis::findClosestIndex(double value) const override

find bin index which is best match for given value 
";

%feature("docstring")  VariableBinAxis::binCenters "std::vector< double > VariableBinAxis::binCenters() const override
";

%feature("docstring")  VariableBinAxis::binBoundaries "std::vector<double> VariableBinAxis::binBoundaries() const override
";

%feature("docstring")  VariableBinAxis::clip "void VariableBinAxis::clip(double lower, double upper) override

Clips this axis to the given values. 
";


// File: classWavevectorInfo.xml
%feature("docstring") WavevectorInfo "

Holds all wavevector information relevant for calculating form factors.

C++ includes: WavevectorInfo.h
";

%feature("docstring")  WavevectorInfo::WavevectorInfo "WavevectorInfo::WavevectorInfo(C3 ki, C3 kf, double wavelength)
";

%feature("docstring")  WavevectorInfo::WavevectorInfo "WavevectorInfo::WavevectorInfo(R3 ki, R3 kf, double wavelength)
";

%feature("docstring")  WavevectorInfo::transformed "WavevectorInfo WavevectorInfo::transformed(const RotMatrix &transform) const
";

%feature("docstring")  WavevectorInfo::getKi "C3 WavevectorInfo::getKi() const
";

%feature("docstring")  WavevectorInfo::getKf "C3 WavevectorInfo::getKf() const
";

%feature("docstring")  WavevectorInfo::getQ "C3 WavevectorInfo::getQ() const
";

%feature("docstring")  WavevectorInfo::vacuumLambda "double WavevectorInfo::vacuumLambda() const
";


// File: classFourierTransform_1_1Workspace.xml


// File: namespace_0d22.xml


// File: namespaceBaseUtils.xml


// File: namespaceBaseUtils_1_1algo.xml
%feature("docstring")  BaseUtils::algo::almostEqual "bool BaseUtils::algo::almostEqual(double a, double b)

Returns true if two doubles agree within machine epsilon. 
";

%feature("docstring")  BaseUtils::algo::min_value "double BaseUtils::algo::min_value(const Iterator &begin, const Iterator &end, const Evaluator &evaluate)

Returns the minimum value of function evaluate as applied to the elements of an iterator range. 
";

%feature("docstring")  BaseUtils::algo::max_value "double BaseUtils::algo::max_value(const Iterator &begin, const Iterator &end, const Evaluator &evaluate)

Returns the maximum value of function evaluate as applied to the elements of an iterator range. 
";

%feature("docstring")  BaseUtils::algo::concat "std::vector< T > BaseUtils::algo::concat(const std::vector< T > &v1, const std::vector< T > &v2)

Returns the concatenation of two std::vectors. 
";


// File: namespaceBaseUtils_1_1Filesystem.xml
%feature("docstring")  BaseUtils::Filesystem::extension "std::string BaseUtils::Filesystem::extension(const std::string &path)

Returns extension of given filename. \"/home/user/filename.int\" -> \".int\", \"/home/user/filename.int.gz\" -> \".gz\" 
";

%feature("docstring")  BaseUtils::Filesystem::hasExtension "bool BaseUtils::Filesystem::hasExtension(const std::string &path, const std::string &ref_extension)

Returns true if extension of path, converted to lower case, matches given reference extension. 
";

%feature("docstring")  BaseUtils::Filesystem::extensions "std::string BaseUtils::Filesystem::extensions(const std::string &path)

Returns extension(s) of given filename. \"/home/user/filename.int\" -> \".int\", \"/home/user/filename.int.gz\" -> \".int.gz\" 
";

%feature("docstring")  BaseUtils::Filesystem::createDirectory "bool BaseUtils::Filesystem::createDirectory(const std::string &dir_name)

Creates directory in current directory. 
";

%feature("docstring")  BaseUtils::Filesystem::createDirectories "bool BaseUtils::Filesystem::createDirectories(const std::string &dir_name)

Creates directories in current directory for any element of dir_name which doesn't exist. 
";

%feature("docstring")  BaseUtils::Filesystem::filesInDirectory "std::vector< std::string > BaseUtils::Filesystem::filesInDirectory(const std::string &dir_name)

Returns filenames of files in directory. 
";

%feature("docstring")  BaseUtils::Filesystem::jointPath "std::string BaseUtils::Filesystem::jointPath(const std::string &path1, const std::string &path2)

Returns joint path name. Argument path1 may be empty, argument path2 not. 
";

%feature("docstring")  BaseUtils::Filesystem::filename "std::string BaseUtils::Filesystem::filename(const std::string &path)

Returns path without directory part (\"Foo/Bar/Doz.int.gz\" -> \"Doz.int.gz\") 
";

%feature("docstring")  BaseUtils::Filesystem::stem "std::string BaseUtils::Filesystem::stem(const std::string &path)

Returns filename without (last) extension. \"/home/user/filename.int\" -> \"filename\", \"/home/user/filename.int.gz\" -> \"filename.int\" 
";

%feature("docstring")  BaseUtils::Filesystem::stem_ext "std::string BaseUtils::Filesystem::stem_ext(const std::string &path)

Returns filename without extension(s). \"/home/user/filename.int\" -> \"filename\", \"/home/user/filename.int.gz\" -> \"filename\" 
";

%feature("docstring")  BaseUtils::Filesystem::glob "std::vector< std::string > BaseUtils::Filesystem::glob(const std::string &dir, const std::string &pattern)

Returns file names that agree with a regex glob pattern. 
";

%feature("docstring")  BaseUtils::Filesystem::convert_utf8_to_utf16 "std::wstring BaseUtils::Filesystem::convert_utf8_to_utf16(const std::string &str)

Converts utf8 string represented by std::string to utf16 string represented by std::wstring. 
";

%feature("docstring")  BaseUtils::Filesystem::IsFileExists "bool BaseUtils::Filesystem::IsFileExists(const std::string &path)

Returns true if file with given name exists on disk. 
";


// File: namespaceBaseUtils_1_1Python.xml
%feature("docstring")  BaseUtils::Python::toString "std::string BaseUtils::Python::toString(PyObject *obj)

Converts PyObject into string, if possible, or throws exception. 
";

%feature("docstring")  BaseUtils::Python::toVectorString "std::vector< std::string > BaseUtils::Python::toVectorString(PyObject *obj)

Converts PyObject into vector of strings, if possible, or throws exception. 
";

%feature("docstring")  BaseUtils::Python::toString "std::string BaseUtils::Python::toString(char *c)

Converts char to string. In the case of nullptr will return an empty string. 
";

%feature("docstring")  BaseUtils::Python::toString "std::string BaseUtils::Python::toString(wchar_t *c)
";

%feature("docstring")  BaseUtils::Python::import_bornagain "PyObject * BaseUtils::Python::import_bornagain(const std::vector< std::string > &paths={})

Imports BornAgain from given location. If path is empty, tries to rely on PYTHONPATH. 
";

%feature("docstring")  BaseUtils::Python::pythonRuntimeInfo "std::string BaseUtils::Python::pythonRuntimeInfo()

Returns multi-line string representing PATH, PYTHONPATH, sys.path and other info. 
";

%feature("docstring")  BaseUtils::Python::pythonStackTrace "std::string BaseUtils::Python::pythonStackTrace()

Returns string representing python stack trace. 
";

%feature("docstring")  BaseUtils::Python::createNumpyArray "PyObject * BaseUtils::Python::createNumpyArray(const std::vector< double > &data)
";


// File: namespaceBaseUtils_1_1String.xml
%feature("docstring")  BaseUtils::String::padRight "std::string BaseUtils::String::padRight(const std::string &name, size_t length)

Returns string right-padded with blanks. 
";

%feature("docstring")  BaseUtils::String::split "std::vector< std::string > BaseUtils::String::split(const std::string &text, const std::string &delimiter)

Split string into vector of string using delimiter.

Returns token vector obtained by splitting string at delimiters. 
";

%feature("docstring")  BaseUtils::String::replaceItemsFromString "void BaseUtils::String::replaceItemsFromString(std::string &text, const std::vector< std::string > &items, const std::string &replacement=\"\")

Replaces all occurrences of items from string text with delimiter. 
";

%feature("docstring")  BaseUtils::String::join "std::string BaseUtils::String::join(const std::vector< std::string > &joinable, const std::string &joint)

Returns string obtain by joining vector elements. 
";

%feature("docstring")  BaseUtils::String::scientific "std::string BaseUtils::String::scientific(T value, int n=10)

Returns scientific string representing given value of any numeric type. 
";

%feature("docstring")  BaseUtils::String::to_lower "std::string BaseUtils::String::to_lower(std::string text)

Returns new string which is lower case of text. 
";

%feature("docstring")  BaseUtils::String::to_int "bool BaseUtils::String::to_int(const std::string &str, int *result)

Interprets the contained text as an integer and returns it in  result. Space chars at its begin and end will be ignored. If the conversion result is of no interest, but only the convertibility, then you can set  result to nullptr. The conversion is assumed to be successful if:
every character was consumed by the conversion

the value is not too big for int

the text is not empty Returns true if successful. If not successful, the value in result is not changed. Does not throw anything. 
";

%feature("docstring")  BaseUtils::String::trim "std::string BaseUtils::String::trim(const std::string &str, const std::string &whitespace=\" \\\\t\")

Cuts any of the chars given in whitespace from start and end of str. 
";

%feature("docstring")  BaseUtils::String::trimFront "std::string BaseUtils::String::trimFront(const std::string &str, const std::string &whitespace=\" \\\\t\")

Cuts any of the chars given in whitespace from start. 
";

%feature("docstring")  BaseUtils::String::startsWith "bool BaseUtils::String::startsWith(const std::string &str, const std::string &substr)

True if the string starts with substr. The comparison is case sensitive. 
";


// File: namespaceBaseUtils_1_1System.xml
%feature("docstring")  BaseUtils::System::getCurrentDateAndTime "std::string BaseUtils::System::getCurrentDateAndTime()
";

%feature("docstring")  BaseUtils::System::getenv "std::string BaseUtils::System::getenv(const std::string &name)

Returns environment variable. 
";


// File: namespaceMath.xml
%feature("docstring")  Math::Bessel::StandardNormal "double Math::StandardNormal(double x)
";

%feature("docstring")  Math::Bessel::Gaussian "double Math::Gaussian(double x, double average, double std_dev)
";

%feature("docstring")  Math::Bessel::IntegratedGaussian "double Math::IntegratedGaussian(double x, double average, double std_dev)
";

%feature("docstring")  Math::Bessel::cot "double Math::cot(double x)

cotangent function:  $cot(x)\\\\equiv1/tan(x)$
";

%feature("docstring")  Math::Bessel::sinc "double Math::sinc(double x)

sinc function:  $sinc(x)\\\\equiv\\\\sin(x)/x$
";

%feature("docstring")  Math::Bessel::sinc "complex_t Math::sinc(complex_t z)

Complex sinc function:  $sinc(x)\\\\equiv\\\\sin(x)/x$. 
";

%feature("docstring")  Math::Bessel::tanhc "complex_t Math::tanhc(complex_t z)

Complex tanhc function:  $tanhc(x)\\\\equiv\\\\tanh(x)/x$. 
";

%feature("docstring")  Math::Bessel::Laue "double Math::Laue(double x, size_t N)

Real Laue function:  $Laue(x,N)\\\\equiv\\\\sin(Nx)/sin(x)$. 
";

%feature("docstring")  Math::Bessel::erf "double Math::erf(double arg)

Error function of real-valued argument. 
";

%feature("docstring")  Math::Bessel::GeneratePoissonRandom "double Math::GeneratePoissonRandom(double average)
";


// File: namespaceMath_1_1Bessel.xml
%feature("docstring")  Math::Bessel::J0 "double Math::Bessel::J0(double x)

Bessel function of the first kind and order 0. 
";

%feature("docstring")  Math::Bessel::J1 "double Math::Bessel::J1(double x)

Bessel function of the first kind and order 1. 
";

%feature("docstring")  Math::Bessel::J1c "double Math::Bessel::J1c(double x)

Bessel function J1(x)/x. 
";

%feature("docstring")  Math::Bessel::I0 "double Math::Bessel::I0(double x)

Modified  Bessel function of the first kind and order 0. 
";

%feature("docstring")  Math::Bessel::J0 "complex_t Math::Bessel::J0(complex_t z)

Complex  Bessel function of the first kind and order 0. 
";

%feature("docstring")  Math::Bessel::J1 "complex_t Math::Bessel::J1(complex_t z)

Complex  Bessel function of the first kind and order 1. 
";

%feature("docstring")  Math::Bessel::J1c "complex_t Math::Bessel::J1c(complex_t z)

Complex  Bessel function J1(x)/x. 
";


// File: namespaceNumeric.xml
%feature("docstring")  Numeric::GetAbsoluteDifference "double Numeric::GetAbsoluteDifference(double a, double b)

Returns the absolute value of the difference between a and b. 
";

%feature("docstring")  Numeric::GetRelativeDifference "double Numeric::GetRelativeDifference(double a, double b)

Returns the safe relative difference, which is 2(|a-b|)/(|a|+|b|) except in special cases. 
";

%feature("docstring")  Numeric::GetLogDifference "double Numeric::GetLogDifference(double a, double b)

Returns the difference of the logarithm; input values are truncated at the minimum positive value 
";


// File: namespacePhysConsts.xml


// File: namespacePy.xml


// File: namespacePy_1_1Fmt.xml
%feature("docstring")  Py::Fmt::printImportedSymbols "std::string Py::Fmt::printImportedSymbols(const std::string &code)
";

%feature("docstring")  Py::Fmt::printInt "std::string Py::Fmt::printInt(int value)
";

%feature("docstring")  Py::Fmt::printBool "std::string Py::Fmt::printBool(double value)
";

%feature("docstring")  Py::Fmt::printDouble "std::string Py::Fmt::printDouble(double input)
";

%feature("docstring")  Py::Fmt::printLightDouble "std::string Py::Fmt::printLightDouble(double input)

prints double as an integer, if possible within standard accuracy 
";

%feature("docstring")  Py::Fmt::printNm "std::string Py::Fmt::printNm(double input)
";

%feature("docstring")  Py::Fmt::printNm2 "std::string Py::Fmt::printNm2(double input)
";

%feature("docstring")  Py::Fmt::printScientificDouble "std::string Py::Fmt::printScientificDouble(double input)
";

%feature("docstring")  Py::Fmt::printDegrees "std::string Py::Fmt::printDegrees(double input)
";

%feature("docstring")  Py::Fmt::printValue "std::string Py::Fmt::printValue(double value, const std::string &units)
";

%feature("docstring")  Py::Fmt::printValue "std::string Py::Fmt::printValue(std::variant< double, int > value, const std::string &units)
";

%feature("docstring")  Py::Fmt::printString "std::string Py::Fmt::printString(const std::string &value)
";

%feature("docstring")  Py::Fmt::printArguments "std::string Py::Fmt::printArguments(const std::vector< std::pair< double, std::string >> &arguments)

Takes pairs of value/unit and concatenates them for an argument list. Each pair's content will be processed by printValue(), so the meaning of the content is the same as in printValue(). 
";

%feature("docstring")  Py::Fmt::printArguments "std::string Py::Fmt::printArguments(const std::vector< std::pair< std::variant< double, int >, std::string >> &arguments)

Convenience overload for printing arguments containing a mixture of int and double. 
";

%feature("docstring")  Py::Fmt::printFunction "std::string Py::Fmt::printFunction(const std::string &name, const std::vector< std::pair< double, std::string >> &arguments)

Print a function in the form \"<name>(<arguments>)\". arguments will be processed by  printArguments(), see there for details. 
";

%feature("docstring")  Py::Fmt::printFunction "std::string Py::Fmt::printFunction(const std::string &name, double value, const std::string &unit)

Convenience overload for printing a function with one argument. 
";

%feature("docstring")  Py::Fmt::printFunction "std::string Py::Fmt::printFunction(const std::string &name, double value1, const std::string &unit1, double value2, const std::string &unit2)

Convenience overload for printing a function with two arguments. 
";

%feature("docstring")  Py::Fmt::isSquare "bool Py::Fmt::isSquare(double length1, double length2, double angle)
";

%feature("docstring")  Py::Fmt::isHexagonal "bool Py::Fmt::isHexagonal(double length1, double length2, double angle)
";

%feature("docstring")  Py::Fmt::printKvector "std::string Py::Fmt::printKvector(const R3 value)
";

%feature("docstring")  Py::Fmt::indent "std::string Py::Fmt::indent(size_t width)

Returns a string of blanks with given width. By default the width equals standard offset in python files. 
";


// File: namespaceUnits.xml
%feature("docstring")  Units::rad2deg "double Units::rad2deg(double angle)
";

%feature("docstring")  Units::deg2rad "double Units::deg2rad(double angle)
";


// File: Bin_8h.xml


// File: ConstKBinAxis_8cpp.xml


// File: ConstKBinAxis_8h.xml


// File: CustomBinAxis_8cpp.xml


// File: CustomBinAxis_8h.xml


// File: FixedBinAxis_8cpp.xml


// File: FixedBinAxis_8h.xml


// File: Frame_8cpp.xml


// File: Frame_8h.xml


// File: IAxis_8cpp.xml


// File: IAxis_8h.xml


// File: PointwiseAxis_8cpp.xml


// File: PointwiseAxis_8h.xml


// File: VariableBinAxis_8cpp.xml


// File: VariableBinAxis_8h.xml


// File: PhysicalConstants_8h.xml


// File: Units_8h.xml


// File: DepthProbeElement_8cpp.xml


// File: DepthProbeElement_8h.xml


// File: IElement_8h.xml


// File: PolMatrices_8cpp.xml


// File: PolMatrices_8h.xml


// File: Bessel_8cpp.xml


// File: Bessel_8h.xml


// File: Constants_8h.xml


// File: FourierTransform_8cpp.xml


// File: FourierTransform_8h.xml


// File: Functions_8cpp.xml


// File: Functions_8h.xml


// File: IntegratorGK_8cpp.xml


// File: IntegratorGK_8h.xml


// File: IntegratorMCMiser_8h.xml
%feature("docstring")  make_integrator_miser "P_integrator_miser<T> make_integrator_miser(const T *object, miser_integrand< T > mem_function, size_t dim)

Template function to create an integrator object. 
";


// File: Numeric_8cpp.xml


// File: Numeric_8h.xml


// File: IPixel_8h.xml


// File: RectangularPixel_8cpp.xml


// File: RectangularPixel_8h.xml


// File: SphericalPixel_8cpp.xml


// File: SphericalPixel_8h.xml


// File: DelayedProgressCounter_8cpp.xml


// File: DelayedProgressCounter_8h.xml


// File: ProgressHandler_8cpp.xml


// File: ProgressHandler_8h.xml


// File: PyCore_8h.xml


// File: PyFmt_8cpp.xml


// File: PyFmt_8h.xml


// File: PyObject_8h.xml


// File: PyUtils_8cpp.xml


// File: PyUtils_8h.xml


// File: SpinMatrix_8cpp.xml


// File: SpinMatrix_8h.xml


// File: Spinor_8cpp.xml
%feature("docstring")  DotProduct "complex_t DotProduct(const Spinor &r, const Spinor &t)
";


// File: Spinor_8h.xml
%feature("docstring")  DotProduct "complex_t DotProduct(const Spinor &r, const Spinor &t)
";


// File: ICloneable_8h.xml


// File: OwningVector_8h.xml


// File: Algorithms_8h.xml


// File: Assert_8h.xml


// File: FileSystemUtils_8cpp.xml


// File: FileSystemUtils_8h.xml


// File: IFactory_8h.xml
%feature("docstring")  create_new "T* create_new()

Returns new instance of class T.

This templated function is used in catalogs in form of a function pointer 'create_new<T>', with no function arguments supplied. Equivalently, we could use a lambda function '[](){return new T;}'. 
";


// File: StringUtils_8cpp.xml


// File: StringUtils_8h.xml


// File: SysUtils_8cpp.xml


// File: SysUtils_8h.xml


// File: ThreadInfo_8h.xml


// File: Direction_8cpp.xml
%feature("docstring")  vecOfLambdaAlphaPhi "R3 vecOfLambdaAlphaPhi(double _lambda, double _alpha, double _phi)
";


// File: Direction_8h.xml
%feature("docstring")  vecOfLambdaAlphaPhi "R3 vecOfLambdaAlphaPhi(double _lambda, double _alpha, double _phi)
";


// File: RotMatrix_8cpp.xml


// File: RotMatrix_8h.xml


// File: WavevectorInfo_8cpp.xml


// File: WavevectorInfo_8h.xml


// File: dir_601becd875582af070010d10b4fc90ee.xml


// File: dir_628593db0cdce5a76fb85526ae5aa762.xml


// File: dir_53458346a71374f205070d8bd3d865f1.xml


// File: dir_7df789e053302bffce89fe9e2e25541f.xml


// File: dir_1deae888303a1f34152fb62b13af5143.xml


// File: dir_ec49f598ebf9445998ce86a14e7c0417.xml


// File: dir_218b7a826f06e97e45b5c3355c035233.xml


// File: dir_85d2541e5e50049c186ff9970a3b8ef5.xml


// File: dir_77666440376f62a474e0e262c08206cd.xml


// File: dir_38a5ec4dd9a60e867dacdb92549a13e0.xml


// File: dir_93291dfd04bcad009576d4a5dc5e9788.xml


// File: dir_3d1c6f3819a4cd7ba7fe36c1c1e379fe.xml

